Gecode::Iter::Values::ValueListIter::ValueList Class Reference

Value list class. More...

`#include <values-list.hpp>`

## Public Attributes

int | val
| Value.
ValueList * | next
| Next element.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Support::BlockClient< ValueList, Region >
static void * | operator new (size_t s, BlockAllocator< ValueList, Region, 512 > &ba)
| Allocate memory from block allocator ba.
static void | operator delete (void *, BlockAllocator< ValueList, Region, 512 > &ba)
| Noop (memory freed only when block allocator deleted).

## Detailed Description

Value list class.

Definition at line 44 of file values-list.hpp.

## Member Data Documentation

## val

int Gecode::Iter::Values::ValueListIter::ValueList::val

Value.

Definition at line 47 of file values-list.hpp.

## next

ValueList* Gecode::Iter::Values::ValueListIter::ValueList::next

Next element.

Definition at line 49 of file values-list.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-list.hpp